Bug 161449 - Extensible list of actions on Services/Servers node
Extensible list of actions on Services/Servers node
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
6.x
Other All
: P2 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@serverplugins
: API_REVIEW_FAST
Depends on:
Blocks: 158765
  Show dependency treegraph
 
Reported: 2009-03-30 10:52 UTC by Jaroslav Tulach
Modified: 2009-04-04 07:41 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
API change (7.54 KB, patch)
2009-03-30 10:53 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2009-03-30 10:52:06 UTC
In order to cope with issue 158765 I seem to need an API for adding new actions into the Servers node in the Services 
tab. I propose to read the list of actions from Servers/Actions folder on system file system. OK?
Comment 1 Jaroslav Tulach 2009-03-30 10:53:38 UTC
Created attachment 79041 [details]
API change
Comment 2 Petr Hejl 2009-03-30 16:29:13 UTC
Ok. No objections.
Comment 3 Jaroslav Tulach 2009-04-02 09:19:41 UTC
OK then, I'll proceed with integration.
Comment 4 Jaroslav Tulach 2009-04-02 11:18:19 UTC
ergonomics#b03a19231b2e
Comment 5 Quality Engineering 2009-04-04 07:41:17 UTC
Integrated into 'main-golden', will be available in build *200904040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b08def2c4d3e
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #161449: Allow extensible list of actions on the server node. Plus usage of this in other modules to support #158765


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo